aboutsummaryrefslogtreecommitdiffstats
path: root/debian/fetchmail.ppp.ip-up
diff options
context:
space:
mode:
Diffstat (limited to 'debian/fetchmail.ppp.ip-up')
-rw-r--r--debian/fetchmail.ppp.ip-up13
1 files changed, 13 insertions, 0 deletions
diff --git a/debian/fetchmail.ppp.ip-up b/debian/fetchmail.ppp.ip-up
new file mode 100644
index 00000000..3950a32a
--- /dev/null
+++ b/debian/fetchmail.ppp.ip-up
@@ -0,0 +1,13 @@
+#!/bin/sh
+#
+# Default fetchmail ip-up script (/etc/ppp/ip-up.d/fetchmail)
+#
+# Change "try-restart" below to "start"
+# and remove "-a ! -x /sbin/resolvconf"
+# if you only want to run fetchmail when
+# the PPP link is up.
+#
+
+if [ -x /etc/init.d/fetchmail -a ! -x /sbin/resolvconf ]; then
+ invoke-rc.d --quiet fetchmail try-restart || true
+fi